For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
          • GETGet new orders
          • GETGet order by {order-id}
          • PUTConfirm an order
          • PUTFulfill an order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTFeedAMP OrderOrders

Get order by {order-id}

GET
https://api.feedamp.feedonomics.com/api/v1/orders/:order-id
GET
/api/v1/orders/:order-id
$curl https://api.feedamp.feedonomics.com/api/v1/orders/1 \
> -H "token: token" \
> -H "client: 1" \
> -u "<username>:<password>"
200Retrieved
1{
2 "order": [
3 {
4 "id": "123",
5 "state": "ORDERED",
6 "marketplace_state": "AWAITING_SHIPMENT",
7 "integration_name": "amazon",
8 "paused": 0,
9 "order_info": {
10 "mp_order_number": "111-99998888-55555",
11 "marketplace_name": "amazon_uk",
12 "purchase_date": "2018-05-01T23:52:01.000Z",
13 "currency": "USD",
14 "shipping_full_name": "John M. Doe",
15 "shipping_address1": "123 Fake Street",
16 "shipping_city": "Ghost Town",
17 "shipping_state": "DC",
18 "shipping_postal_code": "91234",
19 "shipping_country_code": "USA",
20 "order_lines": [
21 {
22 "mp_line_number": "afdafasdgasdg",
23 "sku": "1234-12353",
24 "product_name": "Beats Pill Speakers",
25 "quantity": 1,
26 "unit_price": 200,
27 "sales_tax": 20,
28 "shipping_method": "FedEx",
29 "shipping_price": 1.95,
30 "shipping_tax": 0.19,
31 "discount_name": "",
32 "discount": 1.1,
33 "platform_discount": 1.1,
34 "shipping_discount_name": "",
35 "shipping_discount": 1.1,
36 "commission": 1.1,
37 "gift_wrap_price": 5.99,
38 "gift_wrap_tax": 0.3,
39 "amount_available_for_refund": 21.98,
40 "is_tax_collected_by_marketplace": false,
41 "bundle_components": [
42 {
43 "component_sku": "ComponentSKU",
44 "component_quantity": 1,
45 "component_product_name": "Component Product"
46 }
47 ],
48 "order_line_additional_properties": {}
49 }
50 ],
51 "mp_alt_order_number": "152-99632191476188",
52 "customer_order_number": "19452824",
53 "cp_order_number": "61438900216825",
54 "sales_channel": "Amazon.com",
55 "locale": "be-FR",
56 "customer_full_name": "J.K. Rowling",
57 "customer_email": "exempleethioet@amazon.com",
58 "customer_phone": "5558675309",
59 "customer_vat": "78131452263",
60 "delivery_notes": "leave by the back door.",
61 "estimated_ship_date": "",
62 "earliest_ship_date": "2018-02-04T22:00:00.000Z",
63 "latest_ship_date": "2018-02-07T22:00:00.000Z",
64 "estimated_delivery_date": "2018-02-10T22:00:00.000Z",
65 "latest_delivery_date": "",
66 "earliest_delivery_date": "2018-02-10T22:00:00.000Z",
67 "is_amazon_prime": "",
68 "is_wish_express": "",
69 "gift_message": "",
70 "paypal_transaction_ids": "",
71 "feedamp_order_id": "",
72 "marketing_opt_in": "",
73 "shipping_address_type": "business",
74 "shipping_address2": "Building 456",
75 "shipping_address3": "Room 789",
76 "shipping_phone": "9997776666",
77 "shipment_service_level": "UPS_GROUND",
78 "shipment_node": "Austin Warehouse",
79 "order_additional_properties": {}
80 },
81 "acknowledged": 0,
82 "raw_order": {
83 "type": "json",
84 "data": "{\"id\":123,\"items\":[{\"sku\":\"SKU\",\"quantity\":1\"]}"
85 }
86 }
87 ]
88}

Get an order by order-id.

Was this page helpful?
Previous

Get new orders

Next

Confirm an order

Built with

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

order-idintegerRequired
The id of the order.

Headers

tokenstringRequired

The Authentication token obtained from the get_token route.

clientintegerRequired
The id of the client making the request.

Query parameters

include_rawbooleanOptionalDefaults to false
Set true to include the raw data from the marketplace for each order in results.

Response

List containing a single order
orderlist of objects